Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.tags.form
Class HiddenInputTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.springframework.web.servlet.tags.RequestContextAwareTag
              org.springframework.web.servlet.tags.HtmlEscapingAwareTag
                  org.springframework.web.servlet.tags.form.AbstractFormTag
                      org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag
                          org.springframework.web.servlet.tags.form.HiddenInputTag

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag, TryCatchFinally, EditorAwareTag

    public class HiddenInputTag

extends AbstractDataBoundFormElementTag

Data-binding aware JSP tag for rendering a hidden HTML '`input`' field containing the databound value.

Example (binding to 'name' property of form backing object):

###

###

###

###

    Serialized Form

    Field Summary

    Fields inherited from class org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag

    NESTED_PATH_VARIABLE_NAME

    Fields inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag

    logger, REQUEST_CONTEXT_PAGE_ATTRIBUTE

    Fields inherited from class javax.servlet.jsp.tagext.TagSupport

    pageContext

    Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

    EVAL_BODY_AGAIN

    Fields inherited from interface javax.servlet.jsp.tagext.Tag

    EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE

    Constructor Summary

    HiddenInputTag()

    Method Summary

     String
    getCssErrorClass()

              The CSS class to use when the field bound to a particular tag has errors.

     void
    setCssErrorClass(String cssErrorClass)

              The CSS class to use when the field bound to a particular tag has errors.

    protected  int
    writeTagContent(TagWriter tagWriter)

              Writes the HTML 'input' tag to the supplied TagWriter including the
     databound value.

    Methods inherited from class org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag

    autogenerateId, doFinally, getBindStatus, getBoundValue, getEditor, getId, getName, getNestedPath, getPath, getPropertyEditor, getPropertyPath, setId, setPath, writeDefaultAttributes

    Methods inherited from class org.springframework.web.servlet.tags.form.AbstractFormTag

    createTagWriter, doStartTagInternal, evaluate, getDisplayString, getDisplayString, isDefaultHtmlEscape, writeOptionalAttribute

    Methods inherited from class org.springframework.web.servlet.tags.HtmlEscapingAwareTag

    isHtmlEscape, setHtmlEscape

    Methods inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag

    doCatch, doStartTag, getRequestContext

    Methods inherited from class javax.servlet.jsp.tagext.TagSupport

    doAfterBody, doEndTag, findAncestorWithClass, getParent, getValue, getValues, release, removeValue, setPageContext, setParent, setValue

    Methods inherited from class java.lang.Object

    clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

    Constructor Detail

    HiddenInputTag

    public HiddenInputTag()

    Method Detail

    writeTagContent

    protected int writeTagContent(TagWriter tagWriter)
                           throws JspException

    Writes the HTML 'input' tag to the supplied TagWriter including the
     databound value.

    Specified by:writeTagContent in class AbstractFormTag

    Returns:valid tag render instruction as per Tag.doStartTag().
    Throws:
    JspExceptionSee Also:AbstractDataBoundFormElementTag.writeDefaultAttributes(TagWriter),
    AbstractDataBoundFormElementTag.getBoundValue()

    getCssErrorClass

    public String getCssErrorClass()

    The CSS class to use when the field bound to a particular tag has errors.
     May be a runtime expression.

    setCssErrorClass

    public void setCssErrorClass(String cssErrorClass)

    The CSS class to use when the field bound to a particular tag has errors.
     May be a runtime expression.

          Overview
          Package
        Class
          Use
          Tree
          Deprecated
          Index
          Help

    The Spring Framework

     PREV CLASS
     NEXT CLASS

      FRAMES
     NO FRAMES

      SUMMARY: NESTED | FIELD | CONSTR | METHOD

    DETAIL: FIELD | CONSTR | METHOD

    Copyright © 2002-2007 The Spring Framework.